%define fname mdds

Name:		mdds0.6
Version:	0.6.1
Release:	%mkrel 5
Summary:	A collection of multi-dimensional data structures and indexing algorithms
Group:		Development/C
License:	MIT
URL:		http://code.google.com/p/multidimalgorithm/
Source0:	http://multidimalgorithm.googlecode.com/files/%{fname}_%{version}.tar.bz2
BuildRequires: boost-devel
BuildArch: noarch


%description
A collection of multi-dimensional data structures and indexing algorithms.
 
It implements the following data structures:
* segment tree
* flat segment tree 
* rectangle set
* point quad tree
* multi type matrix
* multi type vector

%package devel
Group: Development/C
Summary: Headers for %{name}
Requires: boost-devel

%description devel
Headers for %{name}.

%prep
%setup -q -n %{fname}_%{version}
# this is only used in tests
sed -i -e '/^CPPFLAGS/s/-Wall.*-std/%{optflags} -std/' Makefile.in

%build
%configure2_5x

%install
mkdir -p %{buildroot}/%{_includedir}
mkdir %{buildroot}/%{_includedir}/mdds
cp -pr include/mdds/* %{buildroot}/%{_includedir}/mdds

%check
%make check

%files devel
%{_includedir}/mdds
%doc AUTHORS NEWS README


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.6.1-5.mga4
+ Revision: 529525
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 0.6.1-4.mga4
+ Revision: 452380
- rebuild for new boost

* Mon May 27 2013 tv <tv> 0.6.1-3.mga4
+ Revision: 428645
- branch 0.6 for LO-4.0

